Index: branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/MultiObjectiveProblemDefinitionScript.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/MultiObjectiveProblemDefinitionScript.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/MultiObjectiveProblemDefinitionScript.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private MultiObjectiveProblemDefinitionScript(bool deserializing) : base(deserializing) { }
+    private MultiObjectiveProblemDefinitionScript(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MultiObjectiveProblemDefinitionScript(MultiObjectiveProblemDefinitionScript original, Cloner cloner) : base(original, cloner) { }
     public MultiObjectiveProblemDefinitionScript() : base(ScriptTemplates.CompiledMultiObjectiveProblemDefinition) { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/MultiObjectiveProgrammableProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/MultiObjectiveProgrammableProblem.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/MultiObjectiveProgrammableProblem.cs	(revision 15018)
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    private MultiObjectiveProgrammableProblem(bool deserializing) : base(deserializing) { }
+    private MultiObjectiveProgrammableProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     public MultiObjectiveProgrammableProblem()
       : base() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/ProblemDefinitionScript.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/ProblemDefinitionScript.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/ProblemDefinitionScript.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected ProblemDefinitionScript(bool deserializing) : base(deserializing) { }
+    protected ProblemDefinitionScript(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ProblemDefinitionScript(ProblemDefinitionScript original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/SingleObjectiveProblemDefinitionScript.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/SingleObjectiveProblemDefinitionScript.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/SingleObjectiveProblemDefinitionScript.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveProblemDefinitionScript(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveProblemDefinitionScript(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SingleObjectiveProblemDefinitionScript(SingleObjectiveProblemDefinitionScript original, Cloner cloner) : base(original, cloner) { }
     public SingleObjectiveProblemDefinitionScript() : base(ScriptTemplates.CompiledSingleObjectiveProblemDefinition) { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/SingleObjectiveProgrammableProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/SingleObjectiveProgrammableProblem.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Programmable/3.3/SingleObjectiveProgrammableProblem.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveProgrammableProblem(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveProgrammableProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     public SingleObjectiveProgrammableProblem()
       : base() {
